com.hazelcast.monitor

## Interface LocalQueueStats

- All Superinterfaces:
    com.hazelcast.internal.management.JsonSerializable, LocalInstanceStats

      public interface LocalQueueStats
      extends LocalInstanceStats

  Local queue statistics to be used by `MemberState` implementations.

- - ### Field Summary

    - ### Fields inherited from interface com.hazelcast.monitor.LocalInstanceStats

      `STAT_NOT_AVAILABLE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAvgAge()` Returns the average age of the items in this member.
    `long` | `getBackupItemCount()` Returns the number of backup items in this member.
    `long` | `getEmptyPollOperationCount()` Returns number of null returning poll operations.
    `long` | `getEventOperationCount()` Returns number of event operations
    `long` | `getMaxAge()` Returns the maximum age of the items in this member.
    `long` | `getMinAge()` Returns the minimum age of the items in this member.
    `long` | `getOfferOperationCount()` Returns the number of offer/put/add operations.
    `long` | `getOtherOperationsCount()` Returns number of other operations
    `long` | `getOwnedItemCount()` Returns the number of owned items in this member.
    `long` | `getPollOperationCount()` Returns the number of poll/take/remove operations.
    `long` | `getRejectedOfferOperationCount()` Returns the number of rejected offers.

    - ### Methods inherited from interface com.hazelcast.monitor.LocalInstanceStats

      `getCreationTime`

    - ### Methods inherited from interface com.hazelcast.internal.management.JsonSerializable

      `fromJson, toJson`

- - ### Method Detail

    - #### getOwnedItemCount

          long getOwnedItemCount()

      Returns the number of owned items in this member.
      Returns:
        number of owned items in this member.

    - #### getBackupItemCount

          long getBackupItemCount()

      Returns the number of backup items in this member.
      Returns:
        number of backup items in this member.

    - #### getMinAge

          long getMinAge()

      Returns the minimum age of the items in this member.
      Returns:
        minimum age of the items in this member

    - #### getMaxAge

          long getMaxAge()

      Returns the maximum age of the items in this member.
      Returns:
        maximum age of the items in this member

    - #### getAvgAge

          long getAvgAge()

      Returns the average age of the items in this member.
      Returns:
        average age of the items in this member

    - #### getOfferOperationCount

          long getOfferOperationCount()

      Returns the number of offer/put/add operations. Offers returning false will be included. #getRejectedOfferOperationCount can be used to get the rejected offers.
      Returns:
        number of offer/put/add operations

    - #### getRejectedOfferOperationCount

          long getRejectedOfferOperationCount()

      Returns the number of rejected offers. Offer can be rejected because of max-size limit on the queue.
      Returns:
        number of rejected offers.

    - #### getPollOperationCount

          long getPollOperationCount()

      Returns the number of poll/take/remove operations. Polls returning null (empty) will be included. #getEmptyPollOperationCount can be used to get the number of polls returned null.
      Returns:
        number of poll/take/remove operations.

    - #### getEmptyPollOperationCount

          long getEmptyPollOperationCount()

      Returns number of null returning poll operations. Poll operation might return null, if the queue is empty.
      Returns:
        number of null returning poll operations.

    - #### getOtherOperationsCount

          long getOtherOperationsCount()

      Returns number of other operations
      Returns:
        number of other operations

    - #### getEventOperationCount

          long getEventOperationCount()

      Returns number of event operations
      Returns:
        number of event operations

Copyright © 2019. All rights reserved.